Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

Framework Not Found Appodeal
Started by Mars Interactive Jun 03 2019 04:05 AM

5 replies to this topic
[TOPIC CONTROLS]
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

Mars Interactive

[GLOBAL: userInfoPane.html]
Mars Interactive
  • Contributor

  • 177 posts
  • Corona SDK

Hello,

 

Apple has rejected the update to our app. The reason:

 
Guideline 2.3.1 - Performance
Your app includes a version of an SDK from Yandex that violates the App Store Review Guidelines. The version of the Yandex SDK you are using in your app attempts to hide the use of private APIs. This is a violation of Sections 2.3.1 and 2.5.1 of the App Store Review Guidelines.
Guideline 2.3.1: Don’t include any hidden or undocumented features in your app.
Guideline 2.5.1: Apps may only use public APIs.
Next Steps
To resolve this issue, please either remove the Yandex SDK entirely from your app, or revise your app to utilize version 2.9.8 or 3.1.2 of the Yandex SDK. Once you have made one of those changes, resubmit your binary for review.
 
So, we have swapped the combined Appodeal Plugin for the modular one like so (we only use interstitials):
        -- Base
        ['plugin.appodeal.base']        = { publisherId = 'com.coronalabs' },
        ['plugin.appodeal.GoogleAdMob'] = { publisherId = 'com.coronalabs' },
        ['plugin.appodeal.StartApp']    = { publisherId = 'com.coronalabs' },
        
        --Interstitial
        ['plugin.appodeal.AdColony']            = { publisherId = 'com.coronalabs' },
        ['plugin.appodeal.AppLovin']            = { publisherId = 'com.coronalabs' },
        ['plugin.appodeal.Chartboost']          = { publisherId = 'com.coronalabs' },
        ['plugin.appodeal.FacebookAudience']    = { publisherId = 'com.coronalabs' },
        ['plugin.appodeal.Flurry']              = { publisherId = 'com.coronalabs' },
        ['plugin.appodeal.InMobi']              = { publisherId = 'com.coronalabs' },
        ['plugin.appodeal.IronSource']          = { publisherId = 'com.coronalabs' },
        ['plugin.appodeal.Mobvista']            = { publisherId = 'com.coronalabs' },
        ['plugin.appodeal.MyTarget']            = { publisherId = 'com.coronalabs' },
        ['plugin.appodeal.StartApp']            = { publisherId = 'com.coronalabs' },
        ['plugin.appodeal.Ogury']               = { publisherId = 'com.coronalabs' },
        ['plugin.appodeal.AmazonAds']           = { publisherId = 'com.coronalabs' },
        ['plugin.appodeal.TwitterMoPub']        = { publisherId = 'com.coronalabs' },

Since, we have some plugins that were built in house, we must build through Xcode.

 

Now, for the issue. After running "Download Plugins" successfully, we get this error when trying to build the app:

 

ld: framework not found Appodeal

clang: error: linker command failed with exit code 1 (use -v to see invocation)

 

Don't know what to do next.

 

Thank you,

Mars Team



[TOPIC: post.html]
#2

Mars Interactive

[GLOBAL: userInfoPane.html]
Mars Interactive
  • Contributor

  • 177 posts
  • Corona SDK

So... I've reached out to Appodeal, to see if they could help. I got an answer that they are discontinuing support and further updates to their Corona Plugin. Things are looking very bad. If Appodeal, which from our understanding has acquired Corona, are stopping support and upgrades to their plugin, who should continue?



[TOPIC: post.html]
#3

vlads

[GLOBAL: userInfoPane.html]
vlads
  • Contributor

  • 805 posts
  • Corona Staff

Hello! Appodeal plugin is supported by Corona team, not Appodeal team. Sorry for miscommunication. I would suggest to use "beta" plugin, which was last updated.

 

['plugin.appodeal.beta.base'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.AdColony'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.AmazonAds'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.AppLovin'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.Appnext'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.Chartboost'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.FacebookAudience'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.Flurry'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.GoogleAdMob'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.InMobi'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.IronSource'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.Mobvista'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.MyTarget'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.Ogury'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.StartApp'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.Tapjoy'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.TwitterMoPub'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.Unity'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.Vungle'] = { publisherId = 'com.coronalabs' },
['plugin.appodeal.beta.Yandex'] = { publisherId = 'com.coronalabs' },
 


[TOPIC: post.html]
#4

Mars Interactive

[GLOBAL: userInfoPane.html]
Mars Interactive
  • Contributor

  • 177 posts
  • Corona SDK

Thanks for your reply vlads.

 

We actually tried it before, and now again. We get this error:

 

ld: framework not found MoPubSDK

clang: error: linker command failed with exit code 1 (use -v to see invocation)

Mars Team



[TOPIC: post.html]
#5

vlads

[GLOBAL: userInfoPane.html]
vlads
  • Contributor

  • 805 posts
  • Corona Staff

This is very weird. What version of Corona are you using? Try latest daily build



[TOPIC: post.html]
#6

Mars Interactive

[GLOBAL: userInfoPane.html]
Mars Interactive
  • Contributor

  • 177 posts
  • Corona SDK

I was able to build with the latest daily build and Beta version of the plugin.

Thank you Vlads.




[topic_controls]
[/topic_controls]